### Function

# RB builder_load_plugin_file

#### Declaration [src]

    GtkBuilder*
    rb_builder_load_plugin_file (
      GObject* plugin,
      const char* file,
      gpointer user_data
    )

#### Description [src]

Like #rb_builder_load, except it finds files associated with plugins as well as those in the core data directories.

#### Parameters

`plugin`

  Type: `GObject`

  `RBPlugin` instance.

  The data is owned by the caller of the function.

`file`

  Type: `const char*`

  Name of file to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data to pass to autoconnected signal handlers.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkBuilder`

`GtkBuilder` object built from the file.

The caller of the function takes ownership of the data, and is responsible for freeing it.